Page MenuHomePhabricator

Meta ticket: Deploy InnoDB compression where possible
Closed, ResolvedPublic

Description

We have been testing InnoDB compression (T139055).
The results have been pretty good:

S1 - 1.3T -> 490G
S3 - 500GB less ( only compressed the top3 tables - (revision, pagelinks, templatelinks)  )
S4 - 1.3T -> 467G

We have seen no peformance drawbacks so far.
So when possible, try to keep compressing.

dbstore and lab servers are good candidates at the moment.

ALTER TABLE XXXXX row_format=compressed key_block_size=8;

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 10 2016, 3:47 PM
Marostegui moved this task from Triage to Meta/Epic on the DBA board.Nov 10 2016, 3:47 PM
Marostegui updated the task description. (Show Details)Nov 10 2016, 5:03 PM

S5 results

wikidatawiki
788G -> 313G

dewiki
From 365G to 144G

Total:
1.1T -> 457G
Marostegui triaged this task as Low priority.Nov 24 2016, 11:21 AM

s6 results on dbstore2001:
It went from: 719G to 268G

Mentioned in SAL (#wikimedia-operations) [2017-01-05T07:07:50Z] <marostegui> Compressing pagelinks tables across all the wikis - db1044 - T150438

I have started compression on s2 (on dbstore2001)

s2 results on dbstore2001:

It went from 1.1T to 763G

Mentioned in SAL (#wikimedia-operations) [2017-04-03T06:51:55Z] <marostegui> Deploy InnoDB compression on dewiki - db1070 - T150438

Marostegui closed this task as Resolved.Dec 1 2017, 6:52 AM
Marostegui claimed this task.

Going to close this task, as compressing InnoDB is something we are naturally doing where it makes sense, so no need this task to remind it to us all the time really.